# Ipopt::DenseGenSchurDriver Class Reference

`#include <SensDenseGenSchurDriver.hpp>`

Inheritance diagram for Ipopt::DenseGenSchurDriver:
[legend]

List of all members.

## Public Member Functions
| DenseGenSchurDriver (SmartPtr< SensBacksolver > backsolver, SmartPtr< PCalculator > pcalc, SmartPtr< SchurData > data_B)
virtual | ~DenseGenSchurDriver ()
virtual bool | SchurBuild ()
| Creates the SchurMatrix from B and P.
virtual bool | SchurFactorize ()
| Calls the factorization routine for the SchurMatrix.
virtual bool | SchurSolve (SmartPtr< IteratesVector > x, SmartPtr< const IteratesVector > f, SmartPtr< Vector > g, SmartPtr< IteratesVector > Kf=NULL)
| Performs a backsolve on S and : Solves the system.
## Private Attributes
SmartPtr< SchurData > | ift_data_
| DEPRECATED Performs a backsolve on S and K virtual bool SchurSolve(SmartPtr<IteratesVector> lhs, SmartPtr<const IteratesVector> rhs, SmartPtr<Vector> delta_u);.
SmartPtr< SensBacksolver > | backsolver_
SmartPtr< DenseGenMatrix > | S_

## Detailed Description

Definition at line 17 of file SensDenseGenSchurDriver.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseGenSchurDriver::DenseGenSchurDriver | ( | SmartPtr< SensBacksolver > | backsolver,
|  | SmartPtr< PCalculator > | pcalc,
|  | SmartPtr< SchurData > | data_B |
| ) |  |  |

virtual Ipopt::DenseGenSchurDriver::~DenseGenSchurDriver | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ipopt::DenseGenSchurDriver::SchurBuild | ( |  | ) | `[virtual]`

Creates the SchurMatrix from B and P.

Implements Ipopt::SchurDriver.

virtual bool Ipopt::DenseGenSchurDriver::SchurFactorize | ( |  | ) | `[virtual]`

Calls the factorization routine for the SchurMatrix.

Implements Ipopt::SchurDriver.

virtual bool Ipopt::DenseGenSchurDriver::SchurSolve | ( | SmartPtr< IteratesVector > | x,
|  | SmartPtr< const IteratesVector > | f,
|  | SmartPtr< Vector > | g,
|  | SmartPtr< IteratesVector > | Kf = `NULL` |
| ) |  |  | `[virtual]`

Performs a backsolve on S and : Solves the system.

y will be stored in g at exit. Kf should hold

if it has been computed previously. If it is not available, just pass in Kf=NULL and it will be computed internally.

Implements Ipopt::SchurDriver.

## Member Data Documentation

SmartPtr<SchurData> Ipopt::DenseGenSchurDriver::ift_data_`[private]`

DEPRECATED Performs a backsolve on S and K virtual bool SchurSolve(SmartPtr<IteratesVector> lhs, SmartPtr<const IteratesVector> rhs, SmartPtr<Vector> delta_u);.

Definition at line 63 of file SensDenseGenSchurDriver.hpp.

SmartPtr<SensBacksolver> Ipopt::DenseGenSchurDriver::backsolver_`[private]`

Definition at line 64 of file SensDenseGenSchurDriver.hpp.

SmartPtr<DenseGenMatrix> Ipopt::DenseGenSchurDriver::S_`[private]`

Definition at line 65 of file SensDenseGenSchurDriver.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensDenseGenSchurDriver.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines